<?php

/**
 * @file
 * Admin Forms of the nginx cache clear module.
 */

/**
 * Callback from nginx_cache_clear_menu().
 *
 * This callback helps to create the admin configation form.
 */
function nginx_cache_clear_admin_settings() {

  $form['server_cache_key'] = array(
    '#type' => 'textfield',
    '#title' => t('Web Server Cache Key'),
    '#required' => TRUE,
    '#default_value' => variable_get('server_cache_key', ''),
    '#description' => t('Please Check the Server configuration and confirm the hash key used. $scheme$request_method$host$request_uri$is_args$args.'),
  );

  $form['server_cache_path'] = array(
    '#type' => 'textfield',
    '#title' => t('Web Server Cache File Path'),
    '#required' => TRUE,
    '#default_value' => variable_get('server_cache_path', ''),
    '#description' => t('Please Check the Server configuration and enter the path configured for store cache file.'),
  );

  $form['server_cache_auto_delete'] = array(
    '#type' => 'checkbox',
    '#title' => t('Auto Clear Cache when Content edit'),
    '#required' => FALSE,
    '#default_value' => variable_get('server_cache_auto_delete', ''),
    '#description' => t('When this option is enabled the cache file of content alias URL are deleted when a user update that.'),
  );

  return system_settings_form($form);

}
